Update bill line item

put
https://api.wafeq.com/v1/bills/{bill_id}/line-items/{id}/

Endpoint for updating an existing bill line item.

Path Params
stringrequired
stringrequired
Body Params

A line item of a bill.

stringrequired

The account associated with this line item.

amortizationobject

Optional amortization configuration. When provided, an amortization is created for this line item.

string

The cost center associated with this line item, if any.

custom_fieldsobject

A mapping of custom field IDs to their values.

stringrequired

The detailed description of the line item.

double | null

The discount as the percentage.

string

The item associated with this line item.

string | null

The item unit of measure for this line item.

integer

The position of the line item within the document.

doublerequired

The quantity of the item or service.

string

The tax rate applied to this line item, if any.

doublerequired

The price per unit of the item or service.

Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response